Page MenuHomePhabricator

Migrate page summary from legacy to new storage
Closed, ResolvedPublic

Description

Migrate the page summary use-case from legacy storage (Cassandra 2.x), to the new strategy and cluster (Cassandra 3.x).

Event Timeline

Eevans created this task.Oct 31 2017, 4:54 PM

Change 388400 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/restbase/deploy@master] Config: Remove summary's new_storage_enabled option

https://gerrit.wikimedia.org/r/388400

Change 388400 merged by Ppchelko:
[mediawiki/services/restbase/deploy@master] Config: Remove summary's new_storage_enabled option

https://gerrit.wikimedia.org/r/388400

Mentioned in SAL (#wikimedia-operations) [2017-11-03T08:58:47Z] <mobrovac@tin> Started deploy [restbase/deploy@a67b4a7]: Use only the new storage for summaries - T179418

Mentioned in SAL (#wikimedia-operations) [2017-11-03T09:09:26Z] <mobrovac@tin> Finished deploy [restbase/deploy@a67b4a7]: Use only the new storage for summaries - T179418 (duration: 10m 40s)

mobrovac closed this task as Resolved.Nov 3 2017, 9:20 AM
mobrovac claimed this task.
mobrovac edited projects, added Services (done); removed Patch-For-Review, Services (doing).
mobrovac added a subscriber: mobrovac.

The switch has been completed, summaries are now fetched from and stored in Cassandra 3 only. Resolving.